%bcond_without check
%global debug_package %{nil}

%global goipath         golang.org/x/oauth2
%global forgeurl        https://github.com/golang/oauth2
Version:                0.16.0

%gometa


%global common_description %{expand:
A client implementation for OAuth 2.0 spec.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

Name:           golang-x-oauth2
Release:    2%{?dist}
Summary:        Client implementation for OAuth 2.0 spec

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.16.0-2
- Rebuilt for loongarch64

* Thu Aug 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
